=== debian/watch ===
version=3

http://ourproject.org/frs/?group_id=1868&release_id=357 .*/ytalk-(.*)\.tar\.gz
